<?php

namespace Comitium5\DesignerBundle\Model\Traits\Breakpoint;


use Comitium5\DesignerBundle\Model\Interfaces\Breakpoint\BreakpointInterface;

/**
 * Trait BreakpointRelationTrait
 *
 * @author Tomàs Sayes <tomas@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces\Breakpoint\BreakpointInterface
 */
trait BreakpointRelationTrait
{
	/**
	 * @var BreakpointInterface
	 */
	protected $breakpoint;

	/**
	 * @return BreakpointInterface
	 */
	public function getBreakpoint()
	{
		return $this->breakpoint;
	}

	/**
	 * @param BreakpointInterface $breakpoint
	 * @return self
	 */
	public function setBreakpoint(BreakpointInterface $breakpoint)
	{
		$this->breakpoint = $breakpoint;
		return $this;
	}
}